<script type="text/javascript">
    var InterfaceInit = Class.create( {

        initialize: function()
        {
            /** *********** CONTAINERS *********** **/
            this.containerSlideshow = $( "#slideshow" );
            this.containerSlides = $( "#slides" );

            /** ************ EVENTS ************ **/
            this.launchSlideShow();
            this.createSlides();
        },

        // CREATES ********************************************************
        createSlides: function()
        {
            var contentSlideActivities = "project?methodName=viewSlideContent";
            var contentSlideData = "project/slideData.jsp";
            var contentSlideDataBases = "project/slideDataBases.jsp";
            var contentSlideServices = "project/slideServices.jsp";

            var slideEther = new VerticalSlide( {title:initTexts["home.main.activities"], parent:this.containerSlides, id:"slide_activities", titleId:"slide_activities_title", contentId:"slide_activities_content",
                contentPage:contentSlideActivities, timeToSlide:100,
                onClick:this.onClickSlideActivities} );
            var slideData = new VerticalSlide( {title:initTexts["home.data"], parent:this.containerSlides, id:"slide_data", titleId:"slide_data_title", contentId:"slide_data_content",
                contentPage:contentSlideData,
                onClick:this.onClickSlideData} );
            var slideDataBases = new VerticalSlide( {title:initTexts["home.databases"], parent:this.containerSlides, id:"slide_databases", titleId:"slide_databases_title", contentId:"slide_databases_content",
                contentPage:contentSlideDataBases,
                onClick:this.onClickSlideDataBases} );
            var slideServices = new VerticalSlide( {title:initTexts["home.services"], parent:this.containerSlides, id:"slide_services", titleId:"slide_services_title", contentId:"slide_services_content",
                contentPage:contentSlideServices,
                onClick:this.onClickSlideServices} );

            slideEther.onClickTitle();
        },

        // EVENTS ********************************************************
        onClickSlideActivities: function()
        {

        },

        onClickSlideData: function()
        {

        },

        onClickSlideDataBases: function()
        {

        },

        onClickSlideServices: function()
        {

        },

        // OTHERS ********************************************************
        launchSlideShow: function()
        {
            // Launch slide
            this.containerSlideshow.craftyslide( {
                'width': 450,
                'height': 140,
                'pagination': false,
                'fadetime': 1000,
                'delay': 5000
            } );
        }

    } );
</script>