<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="tiles" uri="/WEB-INF/tlds/struts-tiles.tld" %>
<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>

<tiles:insert page="/resources/templates/templateEther.jsp" flush="true">

    <tiles:put name="insertCss" type="string">
        <ether:htmlCss cssFile="craftedpixelz-Craftyslide-4cd0adb/craftyslide"/>
        <ether:htmlCss cssFile="verticalSlide"/>
    </tiles:put>

    <tiles:put name="insertJsOrJsp" type="string">
        <ether:htmlJs jsFile="craftedpixelz-Craftyslide-4cd0adb/js/craftyslide.min"/>
        <ether:htmlJs jsFile="classesForJQuery/VerticalSlide"/>

        <ether:htmlJsp jspFile="init_script"/>
    </tiles:put>

    <tiles:put name="title" type="string"><spring:message code="label.ether"/> - <spring:message code="label.home"/></tiles:put>
    <tiles:put name="nav" type="string"><a href=""><spring:message code="label.home"/></a></tiles:put>


    <%-- ****************** CONTENT ****************** --%>
    <tiles:put name="body" type="string">

        <%-- ****************** NEWS ****************** --%>
        <div id="newsImages" class="containerEther containerNewsImages">
            <div id="slideshow">
                <jsp:include page="/project/imagesSlide.jsp"/>
            </div>
        </div>

        <div id="newsTexts" class="containerEther containerNewsTexts">
            <div class="containerNewsTextsTitle"><spring:message code="home.news"/></div>
        </div>

        <%-- ****************** SLIDES ****************** --%>
        <div id="slides" class="containerEtherWithBorder containerSlides"></div>

        <script type="text/javascript">
            var initTexts = $A( "" );

            initTexts["home.main.activities"] = '<spring:message code="home.main.activities"/>';
            initTexts["home.data"] = '<spring:message code="home.data"/>';
            initTexts["home.databases"] = '<spring:message code="home.databases"/>';
            initTexts["home.services"] = '<spring:message code="home.services"/>';

            var interfaceInit = new InterfaceInit();
        </script>
    </tiles:put>

</tiles:insert>
